# Welcome to EBeSIR

EBeSIR is a coupled model consisting of an epidemiological SIR model,
a behavioural model, and an economic model.

It can be used to transfer non-pharmaceutical intervention (NPI) strategies
from a reference nation to a focal nation and quantify epidemiological,
behavioural, and economic outcomes. At this point, the focal nation has to be
Germany, as the currently used economic model needs data only available for
Germany.

A typical workflow is described in the following.

The script `country_transfer.py` optimizes the parameters of the SIR and
behavioural models for both, the focal and the reference country. Afterwards,
it transfers the NPI strategies of the reference country to the focal country.
The results are saved as csv files.

Next, the script `country_transfer_postprocess.py` reads the csv files and does
the post processing, which includes plotting the results.

The epidemiological scenarios for the economic model can be created with
`econ_scenarios.py`.

And finally, the economic model is simulated with the script `econ_model.py`.

The models are configured with a json file, which has to specified via a command
line argument. See `Switzerland.json` for an example.

The dependencies are listed in `pyproject.toml`.
